Bug 27562 - itiva notices break if record title contains quotes
Summary: itiva notices break if record title contains quotes
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-27 18:22 UTC by Kyle M Hall
Modified: 2021-05-25 14:43 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.06,20.05.12


Attachments
Bug 27562: itiva notices break if record title contains quotes (1.74 KB, patch)
2021-01-27 18:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27562: itiva notices break if record title contains quotes (1.79 KB, patch)
2021-05-01 22:02 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 27562: itiva notices break if record title contains quotes (1.79 KB, patch)
2021-05-07 12:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27562: itiva notices break if record title contains quotes (1.84 KB, patch)
2021-05-10 16:25 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2021-01-27 18:22:35 UTC
itiva has reported to us that quotes in the title of a record cause the call to not be made to the patron. The fix is to remove quotes from the title, as quotes are not spoken anyway ( That is, "Queens" and "Queen's" are pronounced the same ).
Comment 1 Kyle M Hall 2021-01-27 18:25:54 UTC Comment hidden (obsolete)
Comment 2 Victor Grousset/tuxayo 2021-05-01 22:02:22 UTC Comment hidden (obsolete)
Comment 3 Victor Grousset/tuxayo 2021-05-01 22:05:40 UTC
works :)

git author needs a fix:

* Author 'Koha user' seems invalid
Comment 4 Owen Leonard 2021-05-07 12:45:55 UTC
Created attachment 120688 [details] [review]
Bug 27562: itiva notices break if record title contains quotes

itiva has reported to us that quotes in the title of a record cause the
call to not be made to the patron. The fix is to remove quotes from
the title, as quotes are not spoken anyway ( That is, "Queens" and
"Queen's" are pronounced the same ).

Test Plan:
1) Set up itiva to send phone notes
2) Find a record with quotes in the title
3) Trigger an itiva notice ( checkout, checkin, place hold, etc )
   using the itiva outbound cronjob
4) View the CSV, note the title has the quotes in it
5) Apply this patch
6) Repeat steps 2-3
7) View the CSV, note the title contains no quotes!

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 5 Owen Leonard 2021-05-07 12:47:39 UTC
(In reply to Victor Grousset/tuxayo from comment #3)
> git author needs a fix:

I have taken the liberty of correcting it for Kyle so that it can go into the QA queue.
Comment 6 Victor Grousset/tuxayo 2021-05-08 21:05:51 UTC
Thanks Owen :)


QA: Looks good to me. I'll try to find someone to signoff.

Test note: here are instruction to setup i-tiva
https://wiki.koha-community.org/wiki/External_Integration#i-tiva
Comment 7 Owen Leonard 2021-05-10 16:25:42 UTC
Created attachment 120802 [details] [review]
Bug 27562: itiva notices break if record title contains quotes

itiva has reported to us that quotes in the title of a record cause the
call to not be made to the patron. The fix is to remove quotes from
the title, as quotes are not spoken anyway ( That is, "Queens" and
"Queen's" are pronounced the same ).

Test Plan:
1) Set up itiva to send phone notes
2) Find a record with quotes in the title
3) Trigger an itiva notice ( checkout, checkin, place hold, etc )
   using the itiva outbound cronjob
4) View the CSV, note the title has the quotes in it
5) Apply this patch
6) Repeat steps 2-3
7) View the CSV, note the title contains no quotes!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 8 Victor Grousset/tuxayo 2021-05-10 19:55:04 UTC
Thanks Owen :)
Comment 9 Jonathan Druart 2021-05-11 13:39:26 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 10 Fridolin Somers 2021-05-12 15:14:40 UTC
Pushed to 20.11.x for 20.11.06
Comment 11 Andrew Fuerste-Henry 2021-05-25 13:24:03 UTC
Pushed to 20.05.x for 20.05.12
Comment 12 Victor Grousset/tuxayo 2021-05-25 14:43:46 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.